Module Module1

    Sub Main()

        Dim strFileName As String = My.Application.Info.DirectoryPath _
                                  & "\employee_comma.txt"
        Dim objTFParser As FileIO.TextFieldParser
        Dim astrTFFields() As String

        Console.WriteLine("The records in the employee_comma.txt file are:")
        Console.WriteLine("")
        Console.WriteLine("EMPLOYEE NAME".PadRight(20) _
                        & Space(3) _
                        & "DEPT" _
                        & Space(3) _
                        & "JOB TITLE".PadRight(21) _
                        & Space(3) _
                        & "HIRE DATE " _
                        & Space(3) _
                        & "HRLY RATE")
        Console.WriteLine("-------------".PadRight(20) _
                        & Space(3) _
                        & "----" _
                        & Space(3) _
                        & "---------".PadRight(21) _
                        & Space(3) _
                        & "--------- " _
                        & Space(3) _
                        & "---------")

        objTFParser = New FileIO.TextFieldParser(strFileName)
        objTFParser.TextFieldType = FileIO.FieldType.Delimited
        objTFParser.SetDelimiters(",")
        objTFParser.HasFieldsEnclosedInQuotes = True

        Do Until objTFParser.EndOfData
            ' Read one "record's worth" of fields into the 
            ' "astrTFFields" array ...
            astrTFFields = objTFParser.ReadFields
            ' Output the data to the console as a formatted line ... 
            Console.WriteLine(astrTFFields(0).PadRight(20) _
                            & Space(3) _
                            & astrTFFields(1).ToString.PadLeft(4) _
                            & Space(3) _
                            & astrTFFields(2).PadRight(21) _
                            & Space(3) _
                            & Format(CDate(astrTFFields(3)), "MM/dd/yyyy").PadRight(10) _
                            & Space(3) _
                            & Format(CSng(astrTFFields(4)), "Currency").PadLeft(9))
        Loop

        objTFParser.Close()

        Console.WriteLine("")
        Console.WriteLine("Press Enter to close this window.")
        Console.ReadLine()

    End Sub

End Module
